Package org.eclipse.birt.chart.model.attribute

# Enum GroupingUnitType

java.lang.Object
java.lang.Enum<GroupingUnitType>
org.eclipse.birt.chart.model.attribute.GroupingUnitType

All Implemented Interfaces:
  `Serializable`, `Comparable<GroupingUnitType>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum GroupingUnitType extends Enum<GroupingUnitType> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Grouping Unit Type', and utility methods for working with them. This type represents the possible units for grouping data.

See Also:
  - `AttributePackage.getGroupingUnitType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DAY_OF_MONTH_LITERAL`
The 'Day Of Month' literal object.
`DAY_OF_QUARTER_LITERAL`
The 'Day Of Quarter' literal object.
`DAY_OF_WEEK_LITERAL`
The 'Day Of Week' literal object.
`DAY_OF_YEAR_LITERAL`
The 'Day Of Year' literal object.
`DAYS_LITERAL`
The 'Days' literal object.
`HOURS_LITERAL`
The 'Hours' literal object.
`MINUTES_LITERAL`
The 'Minutes' literal object.
`MONTHS_LITERAL`
The 'Months' literal object.
`QUARTERS_LITERAL`
The 'Quarters' literal object.
`SECONDS_LITERAL`
The 'Seconds' literal object.
`STRING_LITERAL`
The 'String' literal object.
`STRING_PREFIX_LITERAL`
The 'String Prefix' literal object.
`WEEK_OF_MONTH_LITERAL`
The 'Week Of Month' literal object.
`WEEK_OF_QUARTER_LITERAL`
The 'Week Of Quarter' literal object.
`WEEK_OF_YEAR_LITERAL`
The 'Week Of Year' literal object.
`WEEKS_LITERAL`
The 'Weeks' literal object.
`YEARS_LITERAL`
The 'Years' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DAY_OF_MONTH`
The 'Day Of Month' literal value.
`static final int`
`DAY_OF_QUARTER`
The 'Day Of Quarter' literal value.
`static final int`
`DAY_OF_WEEK`
The 'Day Of Week' literal value.
`static final int`
`DAY_OF_YEAR`
The 'Day Of Year' literal value.
`static final int`
`DAYS`
The 'Days' literal value.
`static final int`
`HOURS`
The 'Hours' literal value.
`static final int`
`MINUTES`
The 'Minutes' literal value.
`static final int`
`MONTHS`
The 'Months' literal value.
`static final int`
`QUARTERS`
The 'Quarters' literal value.
`static final int`
`SECONDS`
The 'Seconds' literal value.
`static final int`
`STRING`
The 'String' literal value.
`static final int`
`STRING_PREFIX`
The 'String Prefix' literal value.
`static final List<GroupingUnitType>`
`VALUES`
A public read-only list of all the 'Grouping Unit Type' enumerators.
`static final int`
`WEEK_OF_MONTH`
The 'Week Of Month' literal value.
`static final int`
`WEEK_OF_QUARTER`
The 'Week Of Quarter' literal value.
`static final int`
`WEEK_OF_YEAR`
The 'Week Of Year' literal value.
`static final int`
`WEEKS`
The 'Weeks' literal value.
`static final int`
`YEARS`
The 'Years' literal value.

## Method Summary

Modifier and Type
Method
Description
`static GroupingUnitType`
`get(int value)`
Returns the 'Grouping Unit Type' literal with the specified integer value.
`static GroupingUnitType`
`get(String literal)`
Returns the 'Grouping Unit Type' literal with the specified literal value.
`static GroupingUnitType`
`getByName(String name)`
Returns the 'Grouping Unit Type' literal with the specified name.
`static List`
`getGroupingUnits(DataType dataType)`
Returns grouping units type by specified data type.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static GroupingUnitType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static GroupingUnitType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SECONDS_LITERAL

public static final GroupingUnitType SECONDS_LITERAL
The 'Seconds' literal object.

If the meaning of 'Seconds' literal object isn't clear, there really should be more of a description here...

See Also:
  - `SECONDS`

### MINUTES_LITERAL

public static final GroupingUnitType MINUTES_LITERAL
The 'Minutes' literal object.

If the meaning of 'Minutes' literal object isn't clear, there really should be more of a description here...

See Also:
  - `MINUTES`

### HOURS_LITERAL

public static final GroupingUnitType HOURS_LITERAL
The 'Hours' literal object.

If the meaning of 'Hours' literal object isn't clear, there really should be more of a description here...

See Also:
  - `HOURS`

### DAYS_LITERAL

public static final GroupingUnitType DAYS_LITERAL
The 'Days' literal object.

If the meaning of 'Days' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DAYS`

### WEEKS_LITERAL

public static final GroupingUnitType WEEKS_LITERAL
The 'Weeks' literal object.

If the meaning of 'Weeks' literal object isn't clear, there really should be more of a description here...

See Also:
  - `WEEKS`

### MONTHS_LITERAL

public static final GroupingUnitType MONTHS_LITERAL
The 'Months' literal object.

If the meaning of 'Months' literal object isn't clear, there really should be more of a description here...

See Also:
  - `MONTHS`

### QUARTERS_LITERAL

public static final GroupingUnitType QUARTERS_LITERAL
The 'Quarters' literal object.

See Also:
  - `QUARTERS`

### YEARS_LITERAL

public static final GroupingUnitType YEARS_LITERAL
The 'Years' literal object.

If the meaning of 'Years' literal object isn't clear, there really should be more of a description here...

See Also:
  - `YEARS`

### STRING_LITERAL

public static final GroupingUnitType STRING_LITERAL
The 'String' literal object.

See Also:
  - `STRING`

### STRING_PREFIX_LITERAL

public static final GroupingUnitType STRING_PREFIX_LITERAL
The 'String Prefix' literal object.

See Also:
  - `STRING_PREFIX`

### WEEK_OF_MONTH_LITERAL

public static final GroupingUnitType WEEK_OF_MONTH_LITERAL
The 'Week Of Month' literal object.

See Also:
  - `WEEK_OF_MONTH`

### WEEK_OF_YEAR_LITERAL

public static final GroupingUnitType WEEK_OF_YEAR_LITERAL
The 'Week Of Year' literal object.

See Also:
  - `WEEK_OF_YEAR`

### DAY_OF_WEEK_LITERAL

public static final GroupingUnitType DAY_OF_WEEK_LITERAL
The 'Day Of Week' literal object.

See Also:
  - `DAY_OF_WEEK`

### DAY_OF_MONTH_LITERAL

public static final GroupingUnitType DAY_OF_MONTH_LITERAL
The 'Day Of Month' literal object.

See Also:
  - `DAY_OF_MONTH`

### DAY_OF_YEAR_LITERAL

public static final GroupingUnitType DAY_OF_YEAR_LITERAL
The 'Day Of Year' literal object.

See Also:
  - `DAY_OF_YEAR`

### WEEK_OF_QUARTER_LITERAL

public static final GroupingUnitType WEEK_OF_QUARTER_LITERAL
The 'Week Of Quarter' literal object.

See Also:
  - `WEEK_OF_QUARTER`

### DAY_OF_QUARTER_LITERAL

public static final GroupingUnitType DAY_OF_QUARTER_LITERAL
The 'Day Of Quarter' literal object.

See Also:
  - `DAY_OF_QUARTER`

## Field Details

### SECONDS

public static final int SECONDS
The 'Seconds' literal value.

See Also:
  - `SECONDS_LITERAL`
  - Constant Field Values

### MINUTES

public static final int MINUTES
The 'Minutes' literal value.

See Also:
  - `MINUTES_LITERAL`
  - Constant Field Values

### HOURS

public static final int HOURS
The 'Hours' literal value.

See Also:
  - `HOURS_LITERAL`
  - Constant Field Values

### DAYS

public static final int DAYS
The 'Days' literal value.

See Also:
  - `DAYS_LITERAL`
  - Constant Field Values

### WEEKS

public static final int WEEKS
The 'Weeks' literal value.

See Also:
  - `WEEKS_LITERAL`
  - Constant Field Values

### MONTHS

public static final int MONTHS
The 'Months' literal value.

See Also:
  - `MONTHS_LITERAL`
  - Constant Field Values

### QUARTERS

public static final int QUARTERS
The 'Quarters' literal value.

If the meaning of 'Quarters' literal object isn't clear, there really should be more of a description here...

See Also:
  - `QUARTERS_LITERAL`
  - Constant Field Values

### YEARS

public static final int YEARS
The 'Years' literal value.

See Also:
  - `YEARS_LITERAL`
  - Constant Field Values

### STRING

public static final int STRING
The 'String' literal value.

If the meaning of 'String' literal object isn't clear, there really should be more of a description here...

See Also:
  - `STRING_LITERAL`
  - Constant Field Values

### STRING_PREFIX

public static final int STRING_PREFIX
The 'String Prefix' literal value.

If the meaning of 'String Prefix' literal object isn't clear, there really should be more of a description here...

See Also:
  - `STRING_PREFIX_LITERAL`
  - Constant Field Values

### WEEK_OF_MONTH

public static final int WEEK_OF_MONTH
The 'Week Of Month' literal value.

If the meaning of 'Week Of Month' literal object isn't clear, there really should be more of a description here...

See Also:
  - `WEEK_OF_MONTH_LITERAL`
  - Constant Field Values

### WEEK_OF_YEAR

public static final int WEEK_OF_YEAR
The 'Week Of Year' literal value.

If the meaning of 'Week Of Year' literal object isn't clear, there really should be more of a description here...

See Also:
  - `WEEK_OF_YEAR_LITERAL`
  - Constant Field Values

### DAY_OF_WEEK

public static final int DAY_OF_WEEK
The 'Day Of Week' literal value.

If the meaning of 'Day Of Week' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DAY_OF_WEEK_LITERAL`
  - Constant Field Values

### DAY_OF_MONTH

public static final int DAY_OF_MONTH
The 'Day Of Month' literal value.

If the meaning of 'Day Of Month' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DAY_OF_MONTH_LITERAL`
  - Constant Field Values

### DAY_OF_YEAR

public static final int DAY_OF_YEAR
The 'Day Of Year' literal value.

If the meaning of 'Day Of Year' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DAY_OF_YEAR_LITERAL`
  - Constant Field Values

### WEEK_OF_QUARTER

public static final int WEEK_OF_QUARTER
The 'Week Of Quarter' literal value.

If the meaning of 'Week Of Quarter' literal object isn't clear, there really should be more of a description here...

See Also:
  - `WEEK_OF_QUARTER_LITERAL`
  - Constant Field Values

### DAY_OF_QUARTER

public static final int DAY_OF_QUARTER
The 'Day Of Quarter' literal value.

If the meaning of 'Day Of Quarter' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DAY_OF_QUARTER_LITERAL`
  - Constant Field Values

### VALUES

public static final List<GroupingUnitType> VALUES
A public read-only list of all the 'Grouping Unit Type' enumerators.

## Method Details

### values

public static GroupingUnitType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static GroupingUnitType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static GroupingUnitType get(String literal)
Returns the 'Grouping Unit Type' literal with the specified literal value.

### getByName

public static GroupingUnitType getByName(String name)
Returns the 'Grouping Unit Type' literal with the specified name.

### get

public static GroupingUnitType get(int value)
Returns the 'Grouping Unit Type' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<GroupingUnitType>`

### getGroupingUnits

public static List getGroupingUnits(DataType dataType)
Returns grouping units type by specified data type.

Parameters:
  `dataType` -
Returns:
Since:
  BIRT 2.3